#!/usr/bin/perl 


##  reads files statX.log, ...., statY.log; where X = $start (=1), Y = $end (=1) 
##  for each line prints min, max, and mean of the second argument
##
##  18.10.2006 PK 

use IO::File;

sub get_fitness {
    @args = split(' ',shift); 
    return $args[1]; 
} 


$start = 1; # starting suffix  
$end = 10;  # ending suffix 

@files;

for ($i=$start; $i<=$end; $i++) {
    $filename = "<stat".$i.".log"; 
    $files[$i-$start] = new IO::File;
    $files[$i-$start]->open($filename);
} 


while ($line = readline($files[0])) { 
 

    $min = $max = $mean = get_fitness($line);
    
    for ($i=$start+1; $i<=$end; $i++) {
	$line = readline($files[$i-$start]);
	$fit =  get_fitness( $line ); 
	if ($fit < $min) { $min = $fit; }
	if ($fit > $max) { $max = $fit; } 
	$mean += $fit; 
    }
    
    $mean /= ($end - $start+1);
    printf "$min $max $mean\n"; 
} 

for ($i=$start+1; $i<=$end; $i++) {
    $files[$i-$start]->close();
}

